# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build/Tiny.pm) perl(Readonly.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define module_version 1.04
%define module_name ReadonlyX
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: Faster facility for creating read-only scalars, arrays, hashes
Group: Development/Perl
License: artistic_2
URL: https://github.com/sanko/readonly

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SA/SANKO/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This is a near-drop-in replacement for the Readonly manpage, the popular facility for
creating non-modifiable variables. This is useful for configuration files,
headers, etc. It can also be useful as a development and debugging tool for
catching updates to variables that should not be changed.

If you really need to have immutable variables in new code, use this instead
of Readonly. You'll thank me later. See the section entitled
the ReadonlyX vs. Readonly entry elsewhere in this document for more.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/R*

%changelog
* Tue Jul 26 2016 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- initial import by package builder

